/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for DXView
 */
public enum EnumCM_DXView
{
	//CID 4010 DX View
	FRONTAL("frontal"),
	FRONTAL_OBLIQUE("frontal oblique"),
	ANTERO_POSTERIOR("antero-posterior"),
	ANTERO_POSTERIOR_OBLIQUE("antero-posterior oblique"),
	RIGHT_POSTERIOR_OBLIQUE("right posterior oblique"),
	LEFT_POSTERIOR_OBLIQUE("left posterior oblique"),
	POSTERO_ANTERIOR("postero-anterior"),
	POSTERO_ANTERIOR_OBLIQUE("postero-anterior oblique"),
	RIGHT_ANTERIOR_OBLIQUE("right anterior oblique"),
	LEFT_ANTERIOR_OBLIQUE("left anterior oblique"),
	SAGITTAL("sagittal"),
	MEDIAL_LATERAL("medial-lateral"),
	LATERAL_OBLIQUE("lateral oblique"),
	LATERAL_MEDIAL("lateral-medial"),
	MEDIAL_OBLIQUE("medial oblique"),
	RIGHT_LATERAL("right lateral"),
	RIGHT_OBLIQUE("right oblique"),
	LEFT_LATERAL("left lateral"),
	LEFT_OBLIQUE("left oblique"),
	AXIAL("axial"),
	CRANIO_CAUDAL("cranio-caudal"),
	CAUDO_CRANIAL("caudo-cranial"),
	OBLIQUE_AXIAL("oblique axial"),
	OBLIQUE_CRANIO_CAUDAL("oblique cranio-caudal"),
	OBLIQUE_CAUDO_CRANIAL("oblique caudo-cranial"),
	FRONTAL_OBLIQUE_AXIAL("frontal-oblique axial"),
	SAGITTAL_OBLIQUE_AXIAL("sagittal-oblique axial"),
	OBLIQUE("oblique"),
	LATERAL("lateral"),
	TANGENTIAL("tangential"),
	SUBMENTOVERTICAL("submentovertical"),
	VERTICOSUBMENTAL("verticosubmental"),
	PLANTODORSAL("plantodorsal"),
	DORSOPLANTAR("dorsoplantar"),
	PARIETOACANTHIAL("parietoacanthial"),
	ACANTHIOPARIETAL("acanthioparietal"),
	ORBITOPARIETAL("orbitoparietal"),
	PARIETO_ORBITAL("parieto-orbital"),
	LATERO_MEDIAL_OBLIQUE("latero-medial oblique"),
	MEDIO_LATERAL_OBLIQUE("medio-lateral oblique"),
	TISSUE_SPECIMEN("tissue specimen"),
	OCCLUSAL_PROJECTION("Occlusal projection");

	private String value;
	
	EnumCM_DXView(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
